package domaine;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Keyboard {
	private BufferedReader reader;
	public Keyboard() {
		reader = new BufferedReader(new InputStreamReader(System.in));
	}
	public String getString() {
		boolean error;
		String text = null;
		do {
			try {
				error = false;
				text = reader.readLine();
			} catch (IOException e) {
				System.out.println("Recommencez !");
				error = true;
			}
		} while (error);
		return text;
	}
}
