package domaine;

public class KeyboardForBoudedIntegers {
	private KeyboardForIntegers keyboard;
	public KeyboardForBoudedIntegers(KeyboardForIntegers k) {
		keyboard = k;
	}
	public String getString() {
		return keyboard.getString();
	}
	public int getInt() {
		return keyboard.getInt();
	}
	public int getIntBetween(int min, int max) {
		boolean error;
		int value;
		do {
			error = false;
			value = keyboard.getInt();
			if (value < min) {
				System.out.println("Veuillez entrer un entier supérieur ou égal à " + min + " !");
				error = true;
			} else if (value > max) {
				System.out.println("Veuillez entrer un entier inférieur ou égal à " + max + " !");
				error = true;
			}
		} while (error);
		return value;
	}
}
