package domaine;

public class KeyboardForIntegers {
	private Keyboard keyboard;
	public KeyboardForIntegers(Keyboard k) {
		keyboard = k;
	}
	public String getString() {
		return keyboard.getString();
	}
	public int getInt() {
		boolean error;
		int value = 0;
		do {
			try {
				error = false;
				value = Integer.parseInt(keyboard.getString());
			} catch (NumberFormatException e) {
				System.out.println("Veuillez entrer un entier !");
				error = true;
			}
		} while (error);
		return value;
	}
}
